#include"mnb-environment.h"
#include"mnb-configuration.h"
#include"mnb-execution.h"
#include"mnb-utils.h"




/**
 * sorts the test list by the number or nodes they requere
 * 
 * if noderequerement is the same for two test, the rank requerement is
 * considered
 * 
 **/
struct MNB_List * MNB_SortTestList(struct MNB_List * tests);


/**
 * sorts the nodelist by the number of ranks they contain
 * 
 **/
struct MNB_List * MNB_SortNodeList(struct MNB_List * nodes);




/**
 * returns the first schedulable test that can be found in the test list
 * 
 * on return nodeList contains the list of nodes reserved for this test
 * 
 **/
MNB_Test * MNB_GetFirstSchedulableTest(struct MNB_List * tests, MNB_Environment * env, struct MNB_List * nodeList);




/**
 * sets the status of all nodes in the list to the status value
 * 
 * 
 **/
void MNB_SetNodesStatus(struct MNB_List * nodes, enum MNB_NodeStatus status);
