#ifndef MNB_TESTS
#define MNB_TESTS

#include<mpi.h>
#include"mnb-utils.h"



#define CHECKRET if(ret != 0) printf("Error in function %s in line %d\n", __FUNCTION__, __LINE__);

#define STARTTIME   MPI_Barrier(comm);  double t = MPI_Wtime(); 
#define GETTIME   double e = MPI_Wtime() - t;  MPI_Barrier(comm); //*totalTime = MPI_Wtime() -t;



/**
 * returns a testFunc based on the name provided
 * (returns NULL if no test fuction could be found)
 * 
 * 
 * the source parameter is ignored at the moment, however it can be used
 * later on to load function from external files
 * 
 **/
testFunc MNB_GetTestByName(char * testName, char * source);

#endif
